Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008163opensim[REGION] OpenSim Corepublic2017-05-09 03:222017-07-05 10:49
ReporterGavin Hird 
Assigned ToUbitUmarov 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0008163: PGSQL EstateStore.migrations leaves database without estate tables on first run
DescriptionThe current PGSQL EstateStore.migrations errors out in version 8 and leaves the database without any estate tables on first run. The file has been unchanged since it was first committed with versions up to 11, so it probably never worked...

Rewrote it as version 12 with PostgreSQL 9.5 syntax and added missing primary keys on estate_map and estate_settings.
Additional InformationPatch enclosed.
TagsNo tags attached.
Git Revision or version number
Run ModeStandalone (1 Region) , Standalone (Multiple Regions) , Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineBulletSim
EnvironmentMono / Linux32, Mono / Linux64, Mono / Windows, Mono / OSX, .NET / Windows32, .NET / Windows64
Mono Versiontrunk
ViewerN/A
Attached Filespatch file icon pgsql_estate_migrations.patch [^] (12,021 bytes) 2017-05-09 03:22 [Show Content]

- Relationships
related to 0008200closedFly-Man- [PATCH] PGSQL EstateStore.migrations does not create estate_settings_id SEQUENCE 

-  Notes
(0031838)
UbitUmarov (administrator)
2017-05-09 04:03

thanks, on master

- Issue History
Date Modified Username Field Change
2017-05-09 03:22 Gavin Hird New Issue
2017-05-09 03:22 Gavin Hird File Added: pgsql_estate_migrations.patch
2017-05-09 03:22 Gavin Hird Status new => patch included
2017-05-09 04:03 UbitUmarov Note Added: 0031838
2017-05-27 14:42 UbitUmarov Status patch included => closed
2017-05-27 14:42 UbitUmarov Assigned To => UbitUmarov
2017-05-27 14:42 UbitUmarov Resolution open => fixed
2017-07-05 10:49 testdev627 Relationship added related to 0008200


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker